_getADC:
;vreg_click_example.c,21 :: 		unsigned int getADC(unsigned short channel)
; channel start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
UXTB	R4, R0
; channel end address is: 0 (R0)
; channel start address is: 16 (R4)
;vreg_click_example.c,26 :: 		Chip_Select1 = 0;                               // Select MCP3204
MOVS	R2, #0
SXTB	R2, R2
MOVW	R1, #lo_addr(GPIOA_ODR+0)
MOVT	R1, #hi_addr(GPIOA_ODR+0)
STR	R2, [R1, #0]
;vreg_click_example.c,27 :: 		SPI3_Write(0x06);                              // SPI communication using 8-bit segments
MOVS	R0, #6
BL	_SPI3_Write+0
;vreg_click_example.c,28 :: 		channel = channel << 6;                        // Bits 7 & 6 define ADC input
LSLS	R1, R4, #6
; channel end address is: 16 (R4)
;vreg_click_example.c,29 :: 		tmp = SPI3_Read(channel) & 0x0F;               // Get first 8 bits of ADC value
UXTB	R0, R1
BL	_SPI3_Read+0
AND	R1, R0, #15
UXTH	R1, R1
;vreg_click_example.c,30 :: 		tmp = tmp << 8;                                // Shift ADC value by 8
LSLS	R1, R1, #8
; tmp start address is: 16 (R4)
UXTH	R4, R1
;vreg_click_example.c,31 :: 		tmp = tmp | SPI3_Read(0);                      // Get remaining 4 bits of ADC value
MOVS	R0, #0
BL	_SPI3_Read+0
ORR	R3, R4, R0, LSL #0
; tmp end address is: 16 (R4)
;vreg_click_example.c,33 :: 		Chip_Select1= 1;                                // Deselect MCP3204
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(GPIOA_ODR+0)
MOVT	R1, #hi_addr(GPIOA_ODR+0)
STR	R2, [R1, #0]
;vreg_click_example.c,34 :: 		return tmp;                                    // Returns 12-bit ADC value
UXTH	R0, R3
;vreg_click_example.c,36 :: 		}
L_end_getADC:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _getADC
_processValue:
;vreg_click_example.c,39 :: 		void processValue(unsigned int pv, unsigned short channel)
; pv start address is: 0 (R0)
SUB	SP, SP, #32
STR	LR, [SP, #0]
STRB	R1, [SP, #28]
; pv end address is: 0 (R0)
; pv start address is: 0 (R0)
;vreg_click_example.c,42 :: 		char xvalue = 0;
MOVS	R2, #0
STRB	R2, [SP, #24]
;vreg_click_example.c,43 :: 		float tempv = (float) pv;
BL	__UnsignedIntegralToFloat+0
; pv end address is: 0 (R0)
;vreg_click_example.c,44 :: 		tempv/=100.0;
MOVW	R2, #0
MOVT	R2, #17096
BL	__Div_FP+0
;vreg_click_example.c,45 :: 		sprintf(temptext,"%.2f", tempv);
MOV	R4, R0
MOVW	R3, #lo_addr(?lstr_1_vreg_click_example+0)
MOVT	R3, #hi_addr(?lstr_1_vreg_click_example+0)
ADD	R2, SP, #4
PUSH	(R4)
PUSH	(R3)
PUSH	(R2)
BL	_sprintf+0
ADD	SP, SP, #12
;vreg_click_example.c,47 :: 		if (channel == 0){ xvalue = 30;}
LDRB	R2, [SP, #28]
CMP	R2, #0
IT	NE
BNE	L_processValue0
MOVS	R2, #30
STRB	R2, [SP, #24]
L_processValue0:
;vreg_click_example.c,48 :: 		if (channel == 1){ xvalue = 100;}
LDRB	R2, [SP, #28]
CMP	R2, #1
IT	NE
BNE	L_processValue1
MOVS	R2, #100
STRB	R2, [SP, #24]
L_processValue1:
;vreg_click_example.c,49 :: 		if (channel == 2){ xvalue = 200;}
LDRB	R2, [SP, #28]
CMP	R2, #2
IT	NE
BNE	L_processValue2
MOVS	R2, #200
STRB	R2, [SP, #24]
L_processValue2:
;vreg_click_example.c,51 :: 		TFT_Write_Text(temptext, xvalue, 60);
ADD	R2, SP, #4
LDRB	R1, [SP, #24]
MOV	R0, R2
MOVS	R2, #60
BL	_TFT_Write_Text+0
;vreg_click_example.c,53 :: 		}
L_end_processValue:
LDR	LR, [SP, #0]
ADD	SP, SP, #32
BX	LR
; end of _processValue
_DAC_Output:
;vreg_click_example.c,58 :: 		void DAC_Output(unsigned int valueDAC)
; valueDAC start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
UXTH	R4, R0
; valueDAC end address is: 0 (R0)
; valueDAC start address is: 16 (R4)
;vreg_click_example.c,61 :: 		Chip_Select = 0;                   // Select DAC chip
MOVS	R2, #0
SXTB	R2, R2
MOVW	R1, #lo_addr(GPIOD_ODR+0)
MOVT	R1, #hi_addr(GPIOD_ODR+0)
STR	R2, [R1, #0]
;vreg_click_example.c,63 :: 		temp = (valueDAC >> 8) & 0x0F;     // Store valueDAC[11..8] to temp[3..0]
LSRS	R1, R4, #8
UXTH	R1, R1
AND	R1, R1, #15
;vreg_click_example.c,64 :: 		temp |= 0x30;                      // Define DAC setting, see MCP4921 datasheet
UXTB	R1, R1
ORR	R1, R1, #48
UXTB	R1, R1
;vreg_click_example.c,65 :: 		SPI3_Write(temp);                  // Send high byte via SPI
UXTB	R0, R1
BL	_SPI3_Write+0
;vreg_click_example.c,68 :: 		SPI3_Write(temp);                  // Send low byte via SPI
UXTB	R0, R4
; valueDAC end address is: 16 (R4)
BL	_SPI3_Write+0
;vreg_click_example.c,69 :: 		Chip_Select = 1;                   // Deselect DAC chip
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(GPIOD_ODR+0)
MOVT	R1, #hi_addr(GPIOD_ODR+0)
STR	R2, [R1, #0]
;vreg_click_example.c,70 :: 		}
L_end_DAC_Output:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _DAC_Output
vreg_click_example_DisplayInit:
;vreg_click_example.c,72 :: 		static void DisplayInit()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;vreg_click_example.c,75 :: 		TFT_Init_ILI9341_8bit(320, 240);
MOVS	R1, #240
MOVW	R0, #320
BL	_TFT_Init_ILI9341_8bit+0
;vreg_click_example.c,76 :: 		TFT_BLED = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;vreg_click_example.c,77 :: 		TFT_Set_Pen(CL_WHITE, 1);
MOVS	R1, #1
MOVW	R0, #65535
BL	_TFT_Set_Pen+0
;vreg_click_example.c,78 :: 		TFT_Set_Brush(1,CL_WHITE,0,0,0,0);
MOVS	R1, #0
MOVS	R0, #0
PUSH	(R1)
PUSH	(R0)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #65535
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;vreg_click_example.c,80 :: 		TFT_Fill_Screen(CL_WHITE);
MOVW	R0, #65535
BL	_TFT_Fill_Screen+0
;vreg_click_example.c,81 :: 		TFT_Write_Text("IN", 30, 30);
MOVW	R0, #lo_addr(?lstr2_vreg_click_example+0)
MOVT	R0, #hi_addr(?lstr2_vreg_click_example+0)
MOVS	R2, #30
MOVS	R1, #30
BL	_TFT_Write_Text+0
;vreg_click_example.c,82 :: 		TFT_Write_Text("REG", 100, 30);
MOVW	R0, #lo_addr(?lstr3_vreg_click_example+0)
MOVT	R0, #hi_addr(?lstr3_vreg_click_example+0)
MOVS	R2, #30
MOVS	R1, #100
BL	_TFT_Write_Text+0
;vreg_click_example.c,83 :: 		TFT_Write_Text("OUT", 200, 30);
MOVW	R0, #lo_addr(?lstr4_vreg_click_example+0)
MOVT	R0, #hi_addr(?lstr4_vreg_click_example+0)
MOVS	R2, #30
MOVS	R1, #200
BL	_TFT_Write_Text+0
;vreg_click_example.c,84 :: 		}
L_end_DisplayInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of vreg_click_example_DisplayInit
_main:
;vreg_click_example.c,86 :: 		void main(){
SUB	SP, SP, #12
;vreg_click_example.c,90 :: 		value = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
STRH	R1, [R0, #0]
;vreg_click_example.c,94 :: 		GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_13 );
MOVW	R1, #8192
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;vreg_click_example.c,95 :: 		GPIO_Digital_Output( &GPIOA_BASE, _GPIO_PINMASK_0 | _GPIO_PINMASK_4 );
MOVS	R1, #17
MOVW	R0, #lo_addr(GPIOA_BASE+0)
MOVT	R0, #hi_addr(GPIOA_BASE+0)
BL	_GPIO_Digital_Output+0
;vreg_click_example.c,96 :: 		GPIO_Digital_Input( &GPIOC_BASE, _GPIO_PINMASK_8 );
MOVW	R1, #256
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Input+0
;vreg_click_example.c,98 :: 		GPIO_Digital_Input ( &GPIOA_BASE, _GPIO_PINMASK_9 | _GPIO_PINMASK_10);
MOVW	R1, #1536
MOVW	R0, #lo_addr(GPIOA_BASE+0)
MOVT	R0, #hi_addr(GPIOA_BASE+0)
BL	_GPIO_Digital_Input+0
;vreg_click_example.c,101 :: 		Chip_Select = 1;                   // Deselect DAC
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOD_ODR+0)
MOVT	R0, #hi_addr(GPIOD_ODR+0)
STR	R1, [R0, #0]
;vreg_click_example.c,102 :: 		Chip_Select1 = 1;                 // Deselect MCP3204
MOVW	R0, #lo_addr(GPIOA_ODR+0)
MOVT	R0, #hi_addr(GPIOA_ODR+0)
STR	R1, [R0, #0]
;vreg_click_example.c,104 :: 		reset = 0;
LDRB	R0, [SP, #8]
BFC	R0, #0, #1
STRB	R0, [SP, #8]
;vreg_click_example.c,106 :: 		input = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_input+0)
MOVT	R0, #hi_addr(_input+0)
STRH	R1, [R0, #0]
;vreg_click_example.c,107 :: 		regout = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_regout+0)
MOVT	R0, #hi_addr(_regout+0)
STRH	R1, [R0, #0]
;vreg_click_example.c,108 :: 		output = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_output+0)
MOVT	R0, #hi_addr(_output+0)
STRH	R1, [R0, #0]
;vreg_click_example.c,115 :: 		_SPI_SSI_1, &_GPIO_MODULE_SPI3_PC10_11_12 );
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI3_PC10_11_12+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI3_PC10_11_12+0)
MOVW	R1, #773
;vreg_click_example.c,112 :: 		SPI3_Init_Advanced( _SPI_FPCLK_DIV16, _SPI_MASTER | _SPI_8_BIT |
MOVS	R0, #3
;vreg_click_example.c,115 :: 		_SPI_SSI_1, &_GPIO_MODULE_SPI3_PC10_11_12 );
BL	_SPI3_Init_Advanced+0
;vreg_click_example.c,119 :: 		value = 600;
MOVW	R1, #600
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
STRH	R1, [R0, #0]
;vreg_click_example.c,120 :: 		set_value = 950;
MOVW	R0, #950
SXTH	R0, R0
STRH	R0, [SP, #4]
;vreg_click_example.c,121 :: 		output_sw = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOA_ODR+0)
MOVT	R0, #hi_addr(GPIOA_ODR+0)
STR	R1, [R0, #0]
;vreg_click_example.c,123 :: 		DisplayInit();
BL	vreg_click_example_DisplayInit+0
;vreg_click_example.c,125 :: 		while(1)
L_main3:
;vreg_click_example.c,128 :: 		TFT_Rectangle(30,60, 300,80);
MOVS	R3, #80
SXTH	R3, R3
MOVW	R2, #300
SXTH	R2, R2
MOVS	R1, #60
SXTH	R1, R1
MOVS	R0, #30
SXTH	R0, R0
BL	_TFT_Rectangle+0
;vreg_click_example.c,130 :: 		if(GPIOC_IDR.B8 == 1){ output_sw = 1;}  // start measuring
MOVW	R1, #lo_addr(GPIOC_IDR+0)
MOVT	R1, #hi_addr(GPIOC_IDR+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main5
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOA_ODR+0)
MOVT	R0, #hi_addr(GPIOA_ODR+0)
STR	R1, [R0, #0]
IT	AL
BAL	L_main6
L_main5:
;vreg_click_example.c,131 :: 		else if(GPIOC_IDR.B8 == 0){ output_sw = 0; reset = 0;}       // stop measuring and reset
MOVW	R1, #lo_addr(GPIOC_IDR+0)
MOVT	R1, #hi_addr(GPIOC_IDR+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	NE
BNE	L_main7
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOA_ODR+0)
MOVT	R0, #hi_addr(GPIOA_ODR+0)
STR	R1, [R0, #0]
LDRB	R0, [SP, #8]
BFC	R0, #0, #1
STRB	R0, [SP, #8]
L_main7:
L_main6:
;vreg_click_example.c,134 :: 		if ((GPIOA_IDR.B9) && (value < 4095))
MOVW	R1, #lo_addr(GPIOA_IDR+0)
MOVT	R1, #hi_addr(GPIOA_IDR+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L__main39
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
LDRH	R1, [R0, #0]
MOVW	R0, #4095
CMP	R1, R0
IT	CS
BCS	L__main38
L__main37:
;vreg_click_example.c,136 :: 		set_value++;                              //   increment value
LDRSH	R0, [SP, #4]
ADDS	R0, R0, #1
STRH	R0, [SP, #4]
;vreg_click_example.c,137 :: 		}
IT	AL
BAL	L_main11
;vreg_click_example.c,134 :: 		if ((GPIOA_IDR.B9) && (value < 4095))
L__main39:
L__main38:
;vreg_click_example.c,140 :: 		else if ((GPIOA_IDR.B10) && (value > 0))
MOVW	R1, #lo_addr(GPIOA_IDR+0)
MOVT	R1, #hi_addr(GPIOA_IDR+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L__main41
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
LDRH	R0, [R0, #0]
CMP	R0, #0
IT	LS
BLS	L__main40
L__main36:
;vreg_click_example.c,142 :: 		set_value--;                            //   decrement value
LDRSH	R0, [SP, #4]
SUBS	R0, R0, #1
STRH	R0, [SP, #4]
;vreg_click_example.c,140 :: 		else if ((GPIOA_IDR.B10) && (value > 0))
L__main41:
L__main40:
;vreg_click_example.c,143 :: 		}
L_main11:
;vreg_click_example.c,146 :: 		regout = getADC(0)/1.82;       // Get ADC result from Channel 0
MOVS	R0, #0
BL	_getADC+0
BL	__UnsignedIntegralToFloat+0
MOVW	R2, #62915
MOVT	R2, #16360
BL	__Div_FP+0
BL	__FloatToUnsignedIntegral+0
UXTH	R0, R0
MOVW	R1, #lo_addr(_regout+0)
MOVT	R1, #hi_addr(_regout+0)
STRH	R0, [R1, #0]
;vreg_click_example.c,147 :: 		ProcessValue(regout,1);   // Writes measured value to TFT
MOVS	R1, #1
BL	_processValue+0
;vreg_click_example.c,148 :: 		Delay_ms(10);                  // Wait 10ms
MOVW	R7, #54463
MOVT	R7, #1
NOP
NOP
L_main15:
SUBS	R7, R7, #1
BNE	L_main15
NOP
NOP
NOP
;vreg_click_example.c,149 :: 		input = getADC(2)/1.82;       // Get ADC result from Channel 2
MOVS	R0, #2
BL	_getADC+0
BL	__UnsignedIntegralToFloat+0
MOVW	R2, #62915
MOVT	R2, #16360
BL	__Div_FP+0
BL	__FloatToUnsignedIntegral+0
UXTH	R0, R0
MOVW	R1, #lo_addr(_input+0)
MOVT	R1, #hi_addr(_input+0)
STRH	R0, [R1, #0]
;vreg_click_example.c,150 :: 		vin = input - 150;
SUBW	R1, R0, #150
STRH	R1, [SP, #6]
;vreg_click_example.c,151 :: 		ProcessValue(input,0);   // Writes measured value to TFT
MOVS	R1, #0
BL	_processValue+0
;vreg_click_example.c,152 :: 		Delay_ms(10);                  // Wait 10ms
MOVW	R7, #54463
MOVT	R7, #1
NOP
NOP
L_main17:
SUBS	R7, R7, #1
BNE	L_main17
NOP
NOP
NOP
;vreg_click_example.c,155 :: 		if(reset == 0)
LDRB	R0, [SP, #8]
UBFX	R0, R0, #0, #1
CMP	R0, #0
IT	NE
BNE	L_main19
;vreg_click_example.c,156 :: 		value = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
STRH	R1, [R0, #0]
L_main19:
;vreg_click_example.c,158 :: 		if(output_sw == 1)
MOVW	R1, #lo_addr(GPIOA_ODR+0)
MOVT	R1, #hi_addr(GPIOA_ODR+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main20
;vreg_click_example.c,160 :: 		reset = 1;
LDRB	R0, [SP, #8]
ORR	R0, R0, #1
STRB	R0, [SP, #8]
;vreg_click_example.c,162 :: 		while((output - set_value) > 50 | (set_value - output) > 50)
L_main21:
LDRSH	R2, [SP, #4]
MOVW	R1, #lo_addr(_output+0)
MOVT	R1, #hi_addr(_output+0)
LDRH	R0, [R1, #0]
SUB	R0, R0, R2
UXTH	R0, R0
CMP	R0, #50
MOVW	R2, #0
BLS	L__main47
MOVS	R2, #1
L__main47:
MOV	R0, R1
LDRH	R1, [R0, #0]
LDRSH	R0, [SP, #4]
SUB	R0, R0, R1
UXTH	R0, R0
CMP	R0, #50
MOVW	R0, #0
BLS	L__main48
MOVS	R0, #1
L__main48:
ORR	R0, R2, R0, LSL #0
CMP	R0, #0
IT	EQ
BEQ	L_main22
;vreg_click_example.c,165 :: 		output = getADC(1)/1.82;       // Get ADC result from Channel 1
MOVS	R0, #1
BL	_getADC+0
BL	__UnsignedIntegralToFloat+0
MOVW	R2, #62915
MOVT	R2, #16360
BL	__Div_FP+0
BL	__FloatToUnsignedIntegral+0
UXTH	R0, R0
MOVW	R1, #lo_addr(_output+0)
MOVT	R1, #hi_addr(_output+0)
STRH	R0, [R1, #0]
;vreg_click_example.c,166 :: 		if(vin < set_value)
LDRSH	R1, [SP, #4]
LDRSH	R0, [SP, #6]
CMP	R0, R1
IT	GE
BGE	L_main23
;vreg_click_example.c,168 :: 		TFT_Fill_Screen(CL_WHITE);
MOVW	R0, #65535
BL	_TFT_Fill_Screen+0
;vreg_click_example.c,169 :: 		TFT_Write_Text("NOT ENOUGH INPUT VOLTS",30,60);
MOVW	R0, #lo_addr(?lstr5_vreg_click_example+0)
MOVT	R0, #hi_addr(?lstr5_vreg_click_example+0)
MOVS	R2, #60
MOVS	R1, #30
BL	_TFT_Write_Text+0
;vreg_click_example.c,170 :: 		output_sw = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOA_ODR+0)
MOVT	R0, #hi_addr(GPIOA_ODR+0)
STR	R1, [R0, #0]
;vreg_click_example.c,171 :: 		while(vin < set_value)
L_main24:
LDRSH	R1, [SP, #4]
LDRSH	R0, [SP, #6]
CMP	R0, R1
IT	GE
BGE	L_main25
;vreg_click_example.c,173 :: 		input = getADC(2)/1.82;       // Get ADC result from Channel 2
MOVS	R0, #2
BL	_getADC+0
BL	__UnsignedIntegralToFloat+0
MOVW	R2, #62915
MOVT	R2, #16360
BL	__Div_FP+0
BL	__FloatToUnsignedIntegral+0
UXTH	R0, R0
MOVW	R1, #lo_addr(_input+0)
MOVT	R1, #hi_addr(_input+0)
STRH	R0, [R1, #0]
;vreg_click_example.c,174 :: 		vin = input - 200;
SUBS	R0, #200
STRH	R0, [SP, #6]
;vreg_click_example.c,175 :: 		}
IT	AL
BAL	L_main24
L_main25:
;vreg_click_example.c,177 :: 		TFT_Fill_Screen(CL_WHITE);
MOVW	R0, #65535
BL	_TFT_Fill_Screen+0
;vreg_click_example.c,178 :: 		TFT_Write_Text("IN", 30, 30);
MOVW	R0, #lo_addr(?lstr6_vreg_click_example+0)
MOVT	R0, #hi_addr(?lstr6_vreg_click_example+0)
MOVS	R2, #30
MOVS	R1, #30
BL	_TFT_Write_Text+0
;vreg_click_example.c,179 :: 		TFT_Write_Text("REG", 100, 30);
MOVW	R0, #lo_addr(?lstr7_vreg_click_example+0)
MOVT	R0, #hi_addr(?lstr7_vreg_click_example+0)
MOVS	R2, #30
MOVS	R1, #100
BL	_TFT_Write_Text+0
;vreg_click_example.c,180 :: 		TFT_Write_Text("OUT", 200, 30);
MOVW	R0, #lo_addr(?lstr8_vreg_click_example+0)
MOVT	R0, #hi_addr(?lstr8_vreg_click_example+0)
MOVS	R2, #30
MOVS	R1, #200
BL	_TFT_Write_Text+0
;vreg_click_example.c,181 :: 		output_sw = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOA_ODR+0)
MOVT	R0, #hi_addr(GPIOA_ODR+0)
STR	R1, [R0, #0]
;vreg_click_example.c,182 :: 		}
L_main23:
;vreg_click_example.c,184 :: 		if(output < set_value)
LDRSH	R1, [SP, #4]
MOVW	R0, #lo_addr(_output+0)
MOVT	R0, #hi_addr(_output+0)
LDRH	R0, [R0, #0]
CMP	R0, R1
IT	CS
BCS	L_main26
;vreg_click_example.c,186 :: 		value = value + 1;
MOVW	R2, #lo_addr(_value+0)
MOVT	R2, #hi_addr(_value+0)
LDRH	R0, [R2, #0]
ADDS	R1, R0, #1
UXTH	R1, R1
STRH	R1, [R2, #0]
;vreg_click_example.c,187 :: 		if(value>4095){value = 4095;}
MOVW	R0, #4095
CMP	R1, R0
IT	LS
BLS	L_main27
MOVW	R1, #4095
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
STRH	R1, [R0, #0]
L_main27:
;vreg_click_example.c,188 :: 		}
L_main26:
;vreg_click_example.c,190 :: 		if(output > set_value)
LDRSH	R1, [SP, #4]
MOVW	R0, #lo_addr(_output+0)
MOVT	R0, #hi_addr(_output+0)
LDRH	R0, [R0, #0]
CMP	R0, R1
IT	LS
BLS	L_main28
;vreg_click_example.c,192 :: 		value = value - 1;
MOVW	R1, #lo_addr(_value+0)
MOVT	R1, #hi_addr(_value+0)
LDRH	R0, [R1, #0]
SUBS	R0, R0, #1
UXTH	R0, R0
STRH	R0, [R1, #0]
;vreg_click_example.c,193 :: 		if(value<1){value = 2;}
CMP	R0, #1
IT	CS
BCS	L_main29
MOVS	R1, #2
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
STRH	R1, [R0, #0]
L_main29:
;vreg_click_example.c,194 :: 		}
L_main28:
;vreg_click_example.c,196 :: 		DAC_Output(value);
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
LDRH	R0, [R0, #0]
BL	_DAC_Output+0
;vreg_click_example.c,197 :: 		}
IT	AL
BAL	L_main21
L_main22:
;vreg_click_example.c,199 :: 		}
L_main20:
;vreg_click_example.c,201 :: 		if(output < set_value)
LDRSH	R1, [SP, #4]
MOVW	R0, #lo_addr(_output+0)
MOVT	R0, #hi_addr(_output+0)
LDRH	R0, [R0, #0]
CMP	R0, R1
IT	CS
BCS	L_main30
;vreg_click_example.c,203 :: 		value = value + 1;
MOVW	R2, #lo_addr(_value+0)
MOVT	R2, #hi_addr(_value+0)
LDRH	R0, [R2, #0]
ADDS	R1, R0, #1
UXTH	R1, R1
STRH	R1, [R2, #0]
;vreg_click_example.c,204 :: 		if(value>4095) {value = 4095;}
MOVW	R0, #4095
CMP	R1, R0
IT	LS
BLS	L_main31
MOVW	R1, #4095
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
STRH	R1, [R0, #0]
L_main31:
;vreg_click_example.c,205 :: 		}
L_main30:
;vreg_click_example.c,207 :: 		if(output > set_value)
LDRSH	R1, [SP, #4]
MOVW	R0, #lo_addr(_output+0)
MOVT	R0, #hi_addr(_output+0)
LDRH	R0, [R0, #0]
CMP	R0, R1
IT	LS
BLS	L_main32
;vreg_click_example.c,209 :: 		value = value - 1;
MOVW	R1, #lo_addr(_value+0)
MOVT	R1, #hi_addr(_value+0)
LDRH	R0, [R1, #0]
SUBS	R0, R0, #1
UXTH	R0, R0
STRH	R0, [R1, #0]
;vreg_click_example.c,210 :: 		if(value<1) {value = 2;}
CMP	R0, #1
IT	CS
BCS	L_main33
MOVS	R1, #2
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
STRH	R1, [R0, #0]
L_main33:
;vreg_click_example.c,211 :: 		}
L_main32:
;vreg_click_example.c,213 :: 		DAC_Output(value);
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
LDRH	R0, [R0, #0]
BL	_DAC_Output+0
;vreg_click_example.c,214 :: 		output = getADC(1)/1.82;
MOVS	R0, #1
BL	_getADC+0
BL	__UnsignedIntegralToFloat+0
MOVW	R2, #62915
MOVT	R2, #16360
BL	__Div_FP+0
BL	__FloatToUnsignedIntegral+0
UXTH	R0, R0
MOVW	R1, #lo_addr(_output+0)
MOVT	R1, #hi_addr(_output+0)
STRH	R0, [R1, #0]
;vreg_click_example.c,215 :: 		ProcessValue(output,2);   // Writes measured value to Lcd
MOVS	R1, #2
BL	_processValue+0
;vreg_click_example.c,216 :: 		Delay_ms(10);                  // Wait 10ms
MOVW	R7, #54463
MOVT	R7, #1
NOP
NOP
L_main34:
SUBS	R7, R7, #1
BNE	L_main34
NOP
NOP
NOP
;vreg_click_example.c,217 :: 		}
IT	AL
BAL	L_main3
;vreg_click_example.c,219 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
